Skip to main content

Get NFT Owners By Token ID


Query Template

Filtering Options

Parameter

Type

Description

where

object

An object that filters results based on specific conditions.

limit

integer

Maximum number of results to return.

offset

integer

Starting position of the results.

order_by

object

An object that specifies the sorting criteria. Supports sorting by multiple fields.

Query Fields

Parameter

Type

Description

amount

integer

The amount of the asset.

is_fungible_v2

boolean

Whether fungible (v2).

is_soulbound_v2

boolean

Whether soulbound (v2).

last_transaction_timestamp

string

Timestamp of the last transaction (ISO 8601 format).

non_transferrable_by_owner

boolean

Whether the owner cannot transfer the token.

last_transaction_version

integer

Version of the last transaction.

owner_address

string

The address of the owner.

property_version_v1

integer

Property version (v1).

storage_id

string

The storage ID.

table_type_v1

string

Table type (v1).

token_data_id

string

Token data ID.

token_properties_mutated_v1

object

Mutated token properties (v1).

token_standard

string

Token standard.

current_token_data

object

Current token data.

current_token_data.collection_id

string

Collection ID.

current_token_data.token_name

string

Token name.

current_token_data.current_collection.creator_address

string

The address of the collection creator.

Example

Request Example

query MyQuery {
current_token_ownerships_v2(
limit: 5
offset: 0
order_by: {last_transaction_timestamp: desc}
where: {
token_data_id: {
_eq: "0x9a47523002a8940afaae60cb01d13ccea0408b17e958ebf1940a9f687785d6da"
}
}
) {
amount
is_fungible_v2
is_soulbound_v2
last_transaction_timestamp
non_transferrable_by_owner
last_transaction_version
owner_address
property_version_v1
storage_id
table_type_v1
token_data_id
token_properties_mutated_v1
token_standard
current_token_data {
collection_id
token_name
current_collection {
creator_address
}
}
}
}

Response Example

{
"data": {
"current_token_ownerships_v2": [
{
"amount": 1,
"is_fungible_v2": null,
"is_soulbound_v2": null,
"last_transaction_timestamp": "2024-07-08T09:48:22.938911",
"non_transferrable_by_owner": null,
"last_transaction_version": 1019994299,
"owner_address": "0x67dbec453adfb79e0a7585bde660ed696f611e9f621850bef926a6609d0701db",
"property_version_v1": 0,
"storage_id": "0x1535e5735d83b57e52e0d2a82896051344d831e9c27247c53a3c9a6a35838521",
"table_type_v1": "0x3::token::TokenStore",
"token_data_id": "0x9a47523002a8940afaae60cb01d13ccea0408b17e958ebf1940a9f687785d6da",
"token_properties_mutated_v1": {},
"token_standard": "v1",
"current_token_data": {
"collection_id": "0x7ac8cecb76edbbd5da40d719bbb9795fc5744e4098ee0ce1be4bb86c90f42301",
"token_name": "AptosMonkeys #14",
"current_collection": {
"creator_address": "0xf932dcb9835e681b21d2f411ef99f4f5e577e6ac299eebee2272a39fb348f702"
}
}
},
{
"amount": 0,
"is_fungible_v2": null,
"is_soulbound_v2": null,
"last_transaction_timestamp": "2024-07-08T09:48:22.938911",
"non_transferrable_by_owner": null,
"last_transaction_version": 1019994299,
"owner_address": "0x7b3326b15944d40740f1a7543e880e9bef1c1553510a9b7021e7933f1019c841",
"property_version_v1": 0,
"storage_id": "0x663e6fbfa04cb469471db3feed799d61a9a189302160518f466e2e4192861594",
"table_type_v1": "0x3::token::TokenStore",
"token_data_id": "0x9a47523002a8940afaae60cb01d13ccea0408b17e958ebf1940a9f687785d6da",
"token_properties_mutated_v1": {},
"token_standard": "v1",
"current_token_data": {
"collection_id": "0x7ac8cecb76edbbd5da40d719bbb9795fc5744e4098ee0ce1be4bb86c90f42301",
"token_name": "AptosMonkeys #14",
"current_collection": {
"creator_address": "0xf932dcb9835e681b21d2f411ef99f4f5e577e6ac299eebee2272a39fb348f702"
}
}
},
{
"amount": 0,
"is_fungible_v2": null,
"is_soulbound_v2": null,
"last_transaction_timestamp": "2022-10-25T18:01:27.683764",
"non_transferrable_by_owner": null,
"last_transaction_version": 12599694,
"owner_address": "0x00026a352311909bb553cbdaf21623d3a5164ab014a206176f5c67d8ef7d0d01",
"property_version_v1": 0,
"storage_id": "0x28eaee9c917297c81ccb64c15e01ac0faa843e4951253b6e4a33b0693e288eb0",
"table_type_v1": "0x3::token::TokenStore",
"token_data_id": "0x9a47523002a8940afaae60cb01d13ccea0408b17e958ebf1940a9f687785d6da",
"token_properties_mutated_v1": {},
"token_standard": "v1",
"current_token_data": {
"collection_id": "0x7ac8cecb76edbbd5da40d719bbb9795fc5744e4098ee0ce1be4bb86c90f42301",
"token_name": "AptosMonkeys #14",
"current_collection": {
"creator_address": "0xf932dcb9835e681b21d2f411ef99f4f5e577e6ac299eebee2272a39fb348f702"
}
}
}
]
}
}